Update a Charge Attribute

patch

/rest/v19/pricingSetup/chargeAttributes/{attributeVariableName}

Use this endpoint to update the specified charge attribute.

Request

Supported Media Types
Path Parameters
Body ()
Root Schema : ChargeAttribute
Type: object
Show Source
  • Title: Active
    Indicates whether Charge Attribute is active.
  • Created By
    Title: Created By
    Read Only: true
    The details of the user who created the record.
  • Title: Data Type
    Allowed Values: [ "Boolean", "Currency", "String", "Decimal", "Date", "Integer", "Text Area" ]
    Data Type of the Pricing Charge.
  • Title: Date Added
    Read Only: true
    Creation date of the Pricing Charge.
  • Title: Date Modified
    Read Only: true
    Last modified date of the Pricing Charge.
  • Title: Default Value
    The default value of the Charge Attribute.
  • Title: Default Value Display Label
    Read Only: true
    The default value display label of the Charge Attribute.
  • Title: Description
    Description of the Pricing Charge.
  • Title: Group Access Enabled
    Read Only: true
    Indicates whether the user has access to the groups segment
  • Title: IO Type
    Allowed Values: [ "Input", "Output", "Internal", "External" ]
    Pricing Attribute IO Type.
  • Title: Key
    Read Only: true
    Indicates whether the Charge Attribute is part of the user key.
  • Last Modified By
    Title: Last Modified By
    Read Only: true
    The details of the user who modified the record.
  • Links
  • Title: Lookup Type
    The lookup type variable name for the Charge Attribute.
  • Title: Lookup Type Display Label
    Read Only: true
    The lookup type display label for the Charge Attribute.
  • Title: Name
    Name of the Pricing Charge.
  • Title: Negotiable
    Indicates whether the Charge Attribute is editable in runtime.
  • Title: Order Number
    The order of the Charge Attribute.
  • Title: Product Price Enabled
    Read Only: true
    Indicates whether the Charge Attribute is product price enabled.
  • Title: Required
    Indicates whether Charge Attribute is required.
  • Title: Segment-level Access Type
    Read Only: true
    Segment-level Access Type
  • Title: Template Variable Key
    Read Only: true
    Allowed Values: [ "Custom", "Quantity", "BomItemVariableName", "ChargeAttribute", "PriceAsOf", "RequestedRatePlanNumber", "ServiceDuration", "ServiceDurationPeriod", "RequestedAgreementNumber", "BuyingAccountID", "Currency Code", "PartNumber", "Customer ID", "Line Price As Of", "Header Number", "Business Unit ID", "Header Contract Start Date", "Header Contract End Date", "Line Contract Start Date", "Line Contract End Date", "Covered Line ID", "Coverage Header Number" ]
    Pricing Charge template variable key.
  • Title: Valid
    Read Only: true
    Indicates whether Pricing Charge is valid.
  • Title: Variable Name
    Variable Name of the Pricing Charge.
  • Title: Visibility
    Indicates whether the Charge Attribute is visible in Administration or Runtime.
Nested Schema : Created By
Title: Created By
Read Only: true
The details of the user who created the record.
Match All
The details of the user who created the record.
Show Source
Nested Schema : Last Modified By
Title: Last Modified By
Read Only: true
The details of the user who modified the record.
Match All
The details of the user who modified the record.
Show Source
Nested Schema : UserDetails
Type: object
Show Source
Back to Top

Response

204 Response

Success
Back to Top

Examples

The following examples show how to update the specified Charge Attribute by submitting a PATCH request to the REST resource using cURL. For more information about cURL, see Use cURL.

curl - X PATCH -H "Authorization: Bearer <token>" - H "Content-type: application/json"
https://sitename.oracle.com/rest/v19/pricingSetup/chargeAttributes/globalMarkets_c

Request Body Sample

{
  "name": "Global Markets",
  "description": "Charge Attribute for Global Markets",
  "defaultValue": "northAmerica_c",
  "defaultValueLabel": "North America"
}
Back to Top